services:
  app:
    image: ghcr.io/manyfold3d/manyfold-solo:latest
    ports:
      - 3214:3214
    volumes:
      # Uncomment to add a volume where a database file should be created.
      # Don't change the part after the colon, it needs to be at /config
      - /docker/manyfold/config:/config
      # Uncomment to add a filesystem volume for your model library (or multiple if
      # you want multiple libraries), in the form <local_path>:<container_path>.
      # The local path could be a folder that already contains models, in which case Manyfold
      # will scan and import them, or it could be empty.
      # The container path can be anything; you will need to enter it in the "new library" form.
      - /pool/3d-printing:/models
    environment:
      SECRET_KEY_BASE: l6Nb7x1TQ2R1a/1FyOJ5Sm6Sx64kQzUP2Mdr7uGx9JA=
      PUID: 1000
      PGID: 1000
      MIN_PASSWORD_SCORE: 1
    restart: unless-stopped
    # Optional, but recommended for better security

    cap_drop:
      - ALL
    cap_add:
      - CHOWN
      - DAC_OVERRIDE
      - SETUID
      - SETGID
